Why am I asked to update Azure Cosmos DB .NET SDK to version 3 by 31 August 2024? We've never been using version 2 to the best of my knowledge.

Oleg 21 Reputation points
2024-06-21T07:09:27.79+00:00

Hi,

I've received the following email:

Update to version 3 of the Azure Cosmos DB .NET SDK by 31 August 2024

You're receiving this email because you've used version 2.x of the Azure Cosmos DB .NET SDK.

Because version 3 of the Azure Cosmos DB .NET SDK includes updated features and improved performance, we'll retire version 2.x of this SDK on 31 August 2024. As a result, you'll need to update your SDK to version 3 by that date.

We're using version Microsoft.Azure.Cosmos v.3.41.0 (the latest available nuget package) and I don't think we've ever used version 2.

Please advise.

.NET
.NET
Microsoft Technologies based on the .NET software framework.
3,632 questions
Azure Cosmos DB
Azure Cosmos DB
An Azure NoSQL database service for app development.
1,537 questions
0 comments No comments
{count} votes

Accepted answer
  1. Sajeetharan 2,031 Reputation points Microsoft Employee
    2024-06-23T18:25:44.4866667+00:00

    You can ignore this notification if you are not using version 2.0; it might be due to the bug in the logic that we pull subscription ids who are using .Net version 2.0.


0 additional answers

Sort by: Most helpful